#ifndef _SPI_H_
#define _SPI_H_

#include "stm32f10x.h"

/*    */
#define OLED_SCK_GPIO_PORT   GPIOG
#define OLED_SCK_GPIO_PIN    GPIO_Pin_12
#define OLED_SCK_GPIO_CLK    RCC_APB2Periph_GPIOG

#define OLED_MOSI_GPIO_PORT   GPIOD
#define OLED_MOSI_GPIO_PIN    GPIO_Pin_5
#define OLED_MOSI_GPIO_CLK    RCC_APB2Periph_GPIOD

#define OLED_RES_GPIO_PORT   GPIOD
#define OLED_RES_GPIO_PIN    GPIO_Pin_4
#define OLED_RES_GPIO_CLK    RCC_APB2Periph_GPIOD

#define OLED_DC_GPIO_PORT    GPIOD
#define OLED_DC_GPIO_PIN     GPIO_Pin_15
#define OLED_DC_GPIO_CLK     RCC_APB2Periph_GPIOD

#define OLED_CS_GPIO_PORT    GPIOD
#define OLED_CS_GPIO_PIN     GPIO_Pin_1
#define OLED_CS_GPIO_CLK     RCC_APB2Periph_GPIOD

#define OLED_SCK_Clr() GPIO_ResetBits(OLED_SCK_GPIO_PORT,OLED_SCK_GPIO_PIN)
#define OLED_SCK_Set() GPIO_SetBits(OLED_SCK_GPIO_PORT,OLED_SCK_GPIO_PIN)

#define OLED_MOSI_Clr() GPIO_ResetBits(OLED_MOSI_GPIO_PORT,OLED_MOSI_GPIO_PIN)
#define OLED_MOSI_Set() GPIO_SetBits(OLED_MOSI_GPIO_PORT,OLED_MOSI_GPIO_PIN)

#define OLED_RES_Clr() GPIO_ResetBits(OLED_RES_GPIO_PORT,OLED_RES_GPIO_PIN)
#define OLED_RES_Set() GPIO_SetBits(OLED_RES_GPIO_PORT,OLED_RES_GPIO_PIN)

#define OLED_DC_Clr() GPIO_ResetBits(OLED_DC_GPIO_PORT,OLED_DC_GPIO_PIN)
#define OLED_DC_Set() GPIO_SetBits(OLED_DC_GPIO_PORT,OLED_DC_GPIO_PIN)

#define OLED_CS_Clr() GPIO_ResetBits(OLED_CS_GPIO_PORT,OLED_CS_GPIO_PIN)
#define OLED_CS_Set() GPIO_SetBits(OLED_CS_GPIO_PORT,OLED_CS_GPIO_PIN)


/* */
void OLED_WR_REG(uint8_t reg);
void OLED_WR_DATA8(uint8_t dat);

#endif


