//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM1.21-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1362
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PG12
// SDA    PD5
// RES    PD4
// DC     PD15
// CS     PD1 

#include "delay.h"
#include "sys.h"
#include "OLED.h"
#include "pic.h"


int main(void)
{
    delay_init();//ʱʼ
    OLED_Init();
    while(1)
    {
        OLED_DrawBMP(0,0,160,64,gImage_1,0);                    //ҶͼƬʾ
        delay_ms(1000);delay_ms(1000);
        OLED_Fill(0,0,OLED_W,OLED_H,0x00);
        OLED_DrawSingleBMP(0,0,160,64,gImage_2,0);              //ɫͼƬʾ
        delay_ms(1000);delay_ms(1000);
        OLED_Fill(0,0,OLED_W,OLED_H,0x00);
        OLED_ShowString(24,0,"1.21 Inch OLED",16,0);
        OLED_ShowString(12,16,"Resolution:160x64",16,0);
        OLED_ShowString(0,32,"Support 16Gray Scale",16,0);
        OLED_ShowString(12,48,"www.buydisplay.com",16,0);
        delay_ms(1000);delay_ms(1000);
        OLED_Fill(0,0,OLED_W,OLED_H,0x00);
        OLED_DrawSingleBMP(0,0,160,64,gImage_3,0);              //ɫͼƬʾ
        delay_ms(1000);delay_ms(1000);
        OLED_Fill(0,0,OLED_W,OLED_H,0x00);
        OLED_Fill(0,0,OLED_W,OLED_H,0xFF);
        delay_ms(1000);delay_ms(1000);
        OLED_Fill(0,0,OLED_W,OLED_H,0x00);
    }
}

