#include "SPI.h"

/**
 * @brief       OLEDдĴ
 * @param       reg: Ҫд
 * @retval      
 */
void OLED_WR_REG(uint8_t reg)
{
    uint8_t i;
    OLED_DC_Clr();
    OLED_CS_Clr();
    for(i=0;i<8;i++)
    {
        OLED_SCK_Clr();
        if(reg&0x80)
        {
            OLED_MOSI_Set();
        }
        else
        {
            OLED_MOSI_Clr();
        }
        OLED_SCK_Set();
        reg<<=1;
    }
    OLED_CS_Set();
    OLED_DC_Set(); 
}

/**
 * @brief       OLEDд
 * @param       reg: Ҫд
 * @retval      
 */
void OLED_WR_DATA8(uint8_t dat)
{
    uint8_t i;
    OLED_DC_Set();
    OLED_CS_Clr();
    for(i=0;i<8;i++)
    {
        OLED_SCK_Clr();
        if(dat&0x80)
        {
            OLED_MOSI_Set();
        }
        else
        {
            OLED_MOSI_Clr();
        }
        OLED_SCK_Set();
        dat<<=1;
    }
    OLED_CS_Set();
    OLED_DC_Set(); 
}


